# List network configurations

Launch stage: GA

`GET /api/2.0/accounts/{account_id}/networks`

Lists Databricks network configurations for an account.

API scopes: networking

Clouds: AWS, GCP

## Path parameters

- `account_id` (string, required)

## Returns

Returns a list of Network objects.

## Response

```json
[
  {
    "network_id": "string",
    "account_id": "string",
    "workspace_id": "1614665312930232",
    "vpc_id": "string",
    "subnet_ids": [
      "string"
    ],
    "security_group_ids": [
      "string"
    ],
    "vpc_status": "VALID",
    "error_messages": [
      {
        "error_type": "string",
        "error_message": "string"
      }
    ],
    "network_name": "string",
    "creation_time": 0,
    "warning_messages": [
      {
        "warning_type": "string",
        "warning_message": "string"
      }
    ],
    "vpc_endpoints": {
      "rest_api": [
        "string"
      ],
      "dataplane_relay": [
        "string"
      ]
    },
    "gcp_network_info": {
      "network_project_id": "my-gcp-project-123",
      "vpc_id": "my-vpc-123",
      "subnet_id": "my-subnet-123",
      "subnet_region": "us-east4",
      "pod_ip_range_name": "my-pod-ip-range-123",
      "service_ip_range_name": "my-service-ip-range-123"
    }
  }
]
```

